Package twisted :: Package mail :: Module mail :: Class IAliasableDomain |
[frames | no frames]

## Class IAliasableDomain

    Interface --+
                |
          IDomain --+
                    |
                   IAliasableDomain

Method Summary
No-argument callable | ``exists`(self, user, memo)` Check whether or not the specified user exists in this domain.
| ``setAliasGroup`(self, aliases)` Set the group of defined aliases for this domain
Inherited from IDomain
| ``addUser`(self, user, password)` Add a username/password to this domain.
| ``getCredentialsCheckers`(self)` Return a list of ICredentialsChecker implementors for this domain.
| ``startMessage`(self, user)` Create and return a new message to be delivered to the given user.

Method Details

### exists(self, user, memo=None) Check whether or not the specified user exists in this domain. Parameters: `user` - The user to check (type=`twisted.protocols.smtp.User`) `memo` - A record of the addresses already considered while resolving aliases. The default value should be used by all external code. (type=`dict`) Returns: A `Deferred` which becomes, or a callable which takes no arguments and returns an object implementing `IMessage`. This will be called and the returned object used to deliver the message when it arrives. (type=No-argument callable) Raises: `twisted.protocols.smtp.SMTPBadRcpt` - Raised if the given user does not exist in this domain. Overrides: `twisted.mail.mail.IDomain.exists`

### setAliasGroup(self, aliases) Set the group of defined aliases for this domain Parameters: `aliases` - Mapping of domain names to objects implementing `IAlias` (type=`dict`)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net